Subject: 27.2; buffer-stale-function is being reset by make-indirect-buffer

From: Al Haji-Ali <[email-masked]>
Date: Tue, 11 May 2021 13:43:36 +0100

Hello,

I am setting `buffer-stale-function` to prevent some buffers from being reverted when `global-auto-revert-mode` is enabled (I am not aware of a different way than setting `buffer-stale-function` to achieve this). This works well, but I noticed that `make-indirect-buffer` (which for example org-capture uses) seems to reset `buffer-stale-function` to nil (in buffer.c:906).

Is this intended? I find it strange since `buffer-stale-function` is not buffer-local.
Also the fact that it is reset to `nil` instead of the default `buffer-stale--default-function` is doubly strange.

Al

--

In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
 of 2021-04-06 built on thinkpad
Repository revision: deef5efafb70f4b171265b896505b92b6eef24e6
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Ubuntu 20.04.2 LTS

Configured using:
 'configure --prefix=/home/abdo/.local/ --with-json --with-modules
 --with-harfbuzz --with-compress-install --with-threads
 --with-included-regex --with-zlib --with-sound=alsa --without-gconf
 --with-mailutils --with-xft --with-xml2 --with-cairo --with-gconf
 --with-xwidgets --without-toolkit-scroll-bars 'CFLAGS=-O3 -mtune=native
 -march=native -fomit-frame-pointer
 -I/usr/lib/gcc/x86_64-linux-gnu/9/include/
 -L/usr/lib/gcc/x86_64-linux-gnu/9''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GCONF GSETTINGS GLIB
NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF ZLIB GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

________________________________
Heriot-Watt University was founded in 1821 and is a registered Scottish charity (SC000278).